tbill=read.table("/home/qy/data/treasuryBill2013-4.dat", header=T)

library(vars)

dates=tbill[,1]
dates=strptime(dates, "%Y-%m-%d")

m1=ca.jo(tbill[,2:6], type="trace", ecdet="none", K=2, spec="transitory")
m2=cajorls(m1, r=2)
x=as.matrix(tbill[,2:6])%*%as.matrix(m2$beta)
y=as.matrix(tbill[,2:6])%*%as.matrix(m1@V)

ps.options(horizontal=F, width=5, height=7) 
postscript("Fig49.ps", onefile=F, print=F)
par(mar=c(2,4,2,1), mfrow=c(5,2),   mgp=c(2.0,0.8,0))
plot(dates, y[,1], xlab='', ylab='1st', type='l', col="blue")
acf(y[,1], main='')
plot(dates, y[,2], xlab='', ylab='2nd', type='l', col="blue")
acf(y[,2], main='')
plot(dates, y[,3], xlab='', ylab='3rd', type='l', col="blue")
acf(y[,3], main='')
plot(dates, y[,4], xlab='', ylab='4th', type='l', col="blue")
acf(y[,4], main='')
plot(dates, y[,5], xlab='', ylab='5th', type='l', col="blue")
acf(y[,5], main='')
dev.off()


